package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.HwScene;
import com.ruoyi.business.domain.VO.HwSceneVo;

/**
 * 场景信息Mapper接口
 *
 * @author xins
 * @date 2023-08-23
 */
public interface HwSceneMapper
{
    /**
     * 查询场景信息
     *
     * @param sceneId 场景信息主键
     * @return 场景信息
     */
    public HwScene selectHwSceneBySceneId(Long sceneId);
    public List<HwScene> selectHwSceneBySceneModeId(Long sceneModeId);
    public List<HwScene> selectHwSceneByTenantId0(Long tenantId);
    public List<HwScene> selectHwSceneByTenantIdNot0(Long tenantId);


    /**
     * 查询场景信息列表
     *
     * @param hwScene 场景信息
     * @return 场景信息集合
     */
    public List<HwScene> selectHwSceneList(HwScene hwScene);
    List<HwSceneVo> selectHwSceneVoList(HwSceneVo hwScene);
    void updateDefaultFlag(Long tenantId);


    /**
     * 新增场景信息
     *
     * @param hwScene 场景信息
     * @return 结果
     */
    public int insertHwScene(HwScene hwScene);

    /**
     * 修改场景信息
     *
     * @param hwScene 场景信息
     * @return 结果
     */
    public int updateHwScene(HwScene hwScene);

    /**
     * 删除场景信息
     *
     * @param sceneId 场景信息主键
     * @return 结果
     */
    public int deleteHwSceneBySceneId(Long sceneId);

    /**
     * 批量删除场景信息
     *
     * @param sceneIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHwSceneBySceneIds(Long[] sceneIds);
}
